### Hierarchy

- unknown
  - PeerList

## Index

### Constructors

- constructor

### Methods

- addPeer
- clearPeerList
- getPeerList
- serializeBinary
- setPeerList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PeerList(): PeerList

- Inherited from jspb.Message.constructor

  #### Returns PeerList

## Methods

### addPeer

- addPeer(value?: Peer, index?: number): Peer

- - Defined in src/protobuf/pb_pb.d.ts:6238

  #### Parameters

  - ##### Optional value: Peer

  - ##### Optional index: number

  #### Returns Peer

### clearPeerList

- clearPeerList(): PeerList

- - Defined in src/protobuf/pb_pb.d.ts:6237

  #### Returns PeerList

### getPeerList

- getPeerList(): Peer []

- - Defined in src/protobuf/pb_pb.d.ts:6235

  #### Returns Peer []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6240

  #### Returns Uint8Array

### setPeerList

- setPeerList(value: Peer []): PeerList

- - Defined in src/protobuf/pb_pb.d.ts:6236

  #### Parameters

  - ##### value: Peer []

  #### Returns PeerList

### toObject

- toObject(includeInstance?: boolean): PeerList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6241

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PeerList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PeerList

- - Defined in src/protobuf/pb_pb.d.ts:6244

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PeerList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PeerList, reader: BinaryReader): PeerList

- - Defined in src/protobuf/pb_pb.d.ts:6245

  #### Parameters

  - ##### message: PeerList

  - ##### reader: BinaryReader

  #### Returns PeerList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PeerList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6243

  #### Parameters

  - ##### message: PeerList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PeerList ): PeerList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6242

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PeerList

  #### Returns PeerList . AsObject

Generated using TypeDoc